Skip to main content

Detach Pricing Tier from Supplier

DELETE 

/api/suppliers/:supplier/pricing-tiers/:tierId

Detach a pricing tier from a supplier. Removes the tier from the supplier's assigned pricing tiers and deletes this supplier's product prices on that tier. The pricing tier itself is not deleted and remains available to other suppliers (to delete a tier entirely, use Delete Supplier Pricing Tier).

Required scope: suppliers:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Returns 404 if the tier is not currently assigned to the supplier (archived tiers that are assigned can still be detached).

Authentication: Requires Bearer token.

Requires permission: suppliers.manage_pricing_tiers

Request​

Responses​

OK

Response Headers
    Content-Type